summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJörg Bornkessel <hd_brummy@gentoo.org>2011-01-28 17:07:03 +0000
committerJörg Bornkessel <hd_brummy@gentoo.org>2011-01-28 17:07:03 +0000
commit999aa5bb78f22f54fc5cbf8d9ba9d7f52adc1146 (patch)
tree130c88adfcc44e86775dc294d6088b2ac0894a82 /eclass
parentwhitespace (diff)
downloadgentoo-2-999aa5bb78f22f54fc5cbf8d9ba9d7f52adc1146.tar.gz
gentoo-2-999aa5bb78f22f54fc5cbf8d9ba9d7f52adc1146.tar.bz2
gentoo-2-999aa5bb78f22f54fc5cbf8d9ba9d7f52adc1146.zip
addapted to EAPI=3
Diffstat (limited to 'eclass')
-rw-r--r--eclass/vdr-plugin.eclass16
1 files changed, 13 insertions, 3 deletions
diff --git a/eclass/vdr-plugin.eclass b/eclass/vdr-plugin.eclass
index e00c9559eee8..72d7d4e2643a 100644
--- a/eclass/vdr-plugin.eclass
+++ b/eclass/vdr-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin.eclass,v 1.71 2009/10/11 11:49:05 maekke Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin.eclass,v 1.72 2011/01/28 17:07:03 hd_brummy Exp $
#
# Author:
# Matthias Schwarzott <zzam@gentoo.org>
@@ -68,6 +68,10 @@
inherit base multilib eutils flag-o-matic
+if ! has "${EAPI:-0}" 0 1 2 3; then
+ die "API of vdr-plugin.eclass in EAPI=\"${EAPI}\" not established"
+fi
+
IUSE=""
# Name of the plugin stripped from all vdrplugin-, vdr- and -cvs pre- and postfixes
@@ -382,6 +386,12 @@ vdr-plugin_pkg_setup() {
# -fPIC is needed for shared objects on some platforms (amd64 and others)
append-flags -fPIC
+ # Plugins need to be compiled with position independent code, otherwise linking
+ # VDR against it will fail
+ if has_version ">=media-video/vdr-1.7.13"; then
+ append-flags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+ fi
+
# Where should the plugins live in the filesystem
VDR_PLUGIN_DIR="/usr/$(get_libdir)/vdr/plugins"
VDR_CHECKSUM_DIR="${VDR_PLUGIN_DIR%/plugins}/checksums"
@@ -461,7 +471,7 @@ vdr-plugin_src_unpack() {
fi
if [ -z "$1" ]; then
case "${EAPI:-0}" in
- 2)
+ 2|3)
vdr-plugin_src_util unpack
;;
*)
@@ -604,7 +614,7 @@ vdr-plugin_pkg_config() {
}
case "${EAPI:-0}" in
- 2)
+ 2|3)
EXPORT_FUNCTIONS pkg_setup src_unpack src_prepare src_compile src_install pkg_postinst pkg_postrm pkg_config
;;
*)